plot.Niche {galgo} | R Documentation

## Plots information about niche object

### Description

Plots information about niche object. See arguments for details.

### Usage

    ## S3 method for class 'Niche'
    plot(x,
    	y,
    	type=c("chromosomes", "fitness"),
    	col=1,
    	pch=19,
    	horiz=TRUE,
    	main="",
    	xlab="",
    	ylab="",
    	chromosome=NULL,
    	chromosome.chr="U",
    	chromosomes=NULL,
    	...)

### Arguments

`type` | The type of plot. `"chromosomes"` will plot the chromosomes in one axis and the genes in the other axis. The maximum chromosome is drawn with `"M"`, the best chromosome with `"B"` and the user chromosome with `"U"`. This plot give an overview of the population coverage. `"fitness"` plot the current fitness in vertical axis against chromosome index in horizontal.
`horiz` | Exchange the default choice of axis when `type="chromosomes"`.
`main,xlab, ylab,col,pch` | `Niche` defaults for common plot parameters. Their usage overwrite the default value. `col` controls the color for chromosomes
`chromosome` | An additional chromosome for comparison.
`chromosome.chr` | Explicit character for additional chromosome.
`chromosomes` | Use the specific list of chromosomes instead of the original `Niche` chromosomes.
`...` | Other user named values to include in the object.

### Value

Returns nothing.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Niche`.

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      cr
      ni <- Niche(chromosomes=newRandomCollection(cr, 10))
      ni
      plot(ni, main="My Niche")
      plot(ni, type="fitness")

[Package galgo version 1.4 Index]